Opened 4 months ago

Closed 8 weeks ago

Last modified 6 weeks ago

#57663 closed defect (fixed)

mpv@0.29.1_1: failed to apply patch on SnowLeopard

Reported by: mrkapqa Owned by: Ionic (Mihai Moldovan)
Priority: Normal Milestone:
Component: ports Version: 2.5.4
Keywords: snowleopard leopard tiger Cc:
Port: mpv

Description (last modified by kencu (Ken))

sudo port install mpv +audiocd+bundle+dvd+libarchive+network+opengl+osd+python27+rubberband+x11
--->  Computing dependencies for mpv
--->  Fetching archive for mpv
--->  Attempting to fetch mpv-0.29.1_1+audiocd+bundle+dvd+libarchive+network+opengl+osd+python27+rubberband+x11.darwin_10.x86_64.tbz2 from http://fco.it.packages.macports.org/mirrors/macports-packages/mpv
--->  Attempting to fetch mpv-0.29.1_1+audiocd+bundle+dvd+libarchive+network+opengl+osd+python27+rubberband+x11.darwin_10.x86_64.tbz2 from http://lil.fr.packages.macports.org/mpv
--->  Attempting to fetch mpv-0.29.1_1+audiocd+bundle+dvd+libarchive+network+opengl+osd+python27+rubberband+x11.darwin_10.x86_64.tbz2 from https://packages.macports.org/mpv
--->  Fetching distfiles for mpv
--->  Verifying checksums for mpv
--->  Extracting mpv
--->  Applying patches to mpv
Error: Failed to patch mpv: command execution failed

Hello , i had an working mpv on snow leopard , but today i evoked an "sudo port upgrade outdated" , which in the end resulted in the above.

It seems to to try to install mpv 0.29 latest in 10.6.8, maybe therefore the error?

Attachments (2)

LOG.LOG (294.1 KB) - added by mrkapqa 8 weeks ago.
yosemite.log (185.2 KB) - added by mrkapqa 7 weeks ago.

Download all attachments as: .zip

Change History (48)

comment:1 Changed 4 months ago by kencu (Ken)

What is the last version you have installed?

sudo port -v installed mpv

comment:2 Changed 4 months ago by kencu (Ken)

Description: modified (diff)
Keywords: snowleopard tiger added; mpv snow removed
Owner: set to Ionic
Status: newassigned
Summary: (mpv@snow_leopard)(upgrade outdated) - failed to apply patch mpv: command execution failedmpv@20.1_1: failed to apply patch on SnowLeopard

comment:3 Changed 4 months ago by kencu (Ken)

FYI -- Not many people have a working SnowLeopard installation any longer, and of those, even fewer are capable of sorting out the patches needed to make it work the way Ionic did several years ago.

SO - we can peg it at a previous version (use my SnowLeopardFixes port repo if you want), or help dig in on how this might be repaired, if indeed it can be repaired.

comment:4 Changed 4 months ago by kencu (Ken)

Summary: mpv@20.1_1: failed to apply patch on SnowLeopardmpv@0.29.1_1: failed to apply patch on SnowLeopard

comment:5 Changed 4 months ago by kencu (Ken)

The last one that I have installed is

$ port -v installed mpv
The following ports are currently installed:
  mpv @0.26.0_8+audiocd+bundle+dvd+libarchive+network+opengl+osd+python27+rubberband+smb+x11 (active) platform='darwin 10' archs='x86_64' date='2018-11-18T21:19:11-0800'

comment:6 Changed 4 months ago by mrkapqa

Thank you, it gives

The following ports are currently installed:
  mpv @0.26.0_0+audiocd+bundle+dvd+libarchive+network+opengl+osd+python27+rubberband+x11 (active) platform='darwin 10' archs='x86_64' date='2018-08-08T18:35:00+0200'

upon evoking mpv

mpv
ffmpeg library versions:
   libavutil       56.14.100 (runtime 56.22.100)
   libavcodec      58.18.100 (runtime 58.35.100)
   libavformat     58.12.100 (runtime 58.20.100)
   libswscale      5.1.100 (runtime 5.3.100)
   libavfilter     7.16.100 (runtime 7.40.101)
   libswresample   3.1.100 (runtime 3.3.100)
ffmpeg version: 4.1

mpv was compiled against a different version of FFmpeg/Libav than the shared
library it is linked against. This is most likely a broken build and could
result in misbehavior and crashes.

mpv does not support this configuration and will not run - rebuild mpv instead.

i was under the impression that macports does only allow the last succesful build for each iteration os macos to be compiled, even when upgrading the ports. tried also on a recently new installed leopard 10.5 macbook pro 32bit to build mpv , and also there it failed. if there is a command to limit mpv to version 0.26 i would like to use it.

Last edited 3 months ago by ryandesign (Ryan Schmidt) (previous) (diff)

comment:7 in reply to:  6 ; Changed 4 months ago by kencu (Ken)

Replying to mrkapqa:

i was under the impression that macports does only allow the last succesful build for each iteration os macos to be compiled, even when upgrading the ports.

Ah, if only it were that easy.

tried also on a recently new installed leopard 10.5 macbook pro 32bit to build mpv , and also there it failed.

Not a surprise. I have no idea about the 10.7 to 10.9 crowd. The buildbots are not looking too friendly to older versions.

if there is a command to limit mpv to version 0.26 i would like to use it.

The mpv portfile is already very complex -- adding in a peg for 0.26.0 is doable, but mind-melting.

I think we will probably see an mpv-legacy port someday, with an older version updated less frequently that works on older systems.

For right now today, you're a bit stuck. My best suggestion is to read this <https://guide.macports.org/chunked/development.local-repositories.html>, and set up a local repository for yourself, possibly using mine <https://github.com/kencu/SnowLeopardPorts> as a starting point.

comment:8 in reply to:  7 Changed 4 months ago by mrkapqa

Replying to kencu:

Replying to mrkapqa:

i was under the impression that macports does only allow the last succesful build for each iteration os macos to be compiled, even when upgrading the ports.

Ah, if only it were that easy.

It would be nice if there is such a fallback mechanism , eg. that in case of failed build it would ask to build the last known succesful version or something similar (maybe i am too easy here altogether)

tried also on a recently new installed leopard 10.5 macbook pro 32bit to build mpv , and also there it failed.

Not a surprise. I have no idea about the 10.7 to 10.9 crowd. The buildbots are not looking too friendly to older versions.

I still have a working similar version running on my Lion 10.7.5

port -v installed mpv
Warning: port definitions are more than two weeks old, consider updating them by running 'port selfupdate'.
The following ports are currently installed:
  mpv @0.26.0_7+audiocd+bundle+dvd+libarchive+network+opengl+osd+python27+rubberband+x11 platform='darwin 11' archs='x86_64' date='2018-03-29T13:21:07+0200'
  mpv @0.26.0_8+audiocd+bundle+dvd+libarchive+network+opengl+osd+python27+rubberband+x11 (active) platform='darwin 11'

now that i learned bit better i will think twice before runninng "port selfupdate" :)

QUESTION: is it possible/advisable to copy the running port of MPV from Lion over to the SnowLeopard partition?

if there is a command to limit mpv to version 0.26 i would like to use it.

The mpv portfile is already very complex -- adding in a peg for 0.26.0 is doable, but mind-melting.

I think we will probably see an mpv-legacy port someday, with an older version updated less frequently that works on older systems.

For right now today, you're a bit stuck. My best suggestion is to read this <https://guide.macports.org/chunked/development.local-repositories.html>, and set up a local repository for yourself, possibly using mine <https://github.com/kencu/SnowLeopardPorts> as a starting point.

thank you , i hope to contribute in some way or another, as i really like snow leopard very much.

Last edited 3 months ago by ryandesign (Ryan Schmidt) (previous) (diff)

comment:9 Changed 4 months ago by kencu (Ken)

Hmm. Not so hard to fix, in the end:

$ port -v installed mpv
  mpv @0.29.1_1+audiocd+bundle+dvd+libarchive+network+opengl+osd+python27+rubberband+x11 (active) platform='darwin 10' archs='x86_64' date='2018-11-23T11:18:17-0800'

I have a couple of small tweaks to make, and we'll see if Ionic likes it.

comment:10 Changed 4 months ago by mrkapqa

Hello , thanks, looking forward to that!

I have installed Xcode 3.2.6 and ve seen there is an Xcode 4 also available for Snow Leopard on the Developer Downloads Page. Does this make a difference or is it better to stick with with the 3.2.6?

comment:11 Changed 3 months ago by mrkapqa

Hello ,

i have another question - crossreference -

do use a working port of Mpv 0.26 on a Lion 10.7.5 in combination with a Firefox plugin "watch with mpv" and firefox 45 - 52. This works very well on this Partition, and also on Linux systems (normally) and Windows.

However, i cannot seem to get this Extension to enable MPV any longer on a fresh install, eg. on a Partition with MaVERICKS and MPV 0.29 and latest youtube-dl and patches.

I don't understand what is causing this misbehaviour, and am not experienced in troubleshooting such things.

So my question is , is it possible to copy over a whole working MacPorts directory from the Lion Partition over to the freshly installed Mavericks partition to see if it is working with the older installation of Mpv?

It could be that the issue is also caused by later changes in youtube-dl. It is my understanding, that when i try to install an older port, eg. git checkout Mpv at version 0.26, it still would try to install the latest youtube-dl, and this could be troublesome as i understand it;

comment:12 Changed 3 months ago by mrkapqa

The firefox extension is no longer available on the Firefox-Add-ons page, but it is available on GitHub

https://github.com/antoniy/mpv-youtube-dl-binding

comment:13 Changed 3 months ago by kencu (Ken)

mrkapqa:

try this <https://github.com/kencu/macports-ports/commit/85fa0186bfc6a375c747fa24a4dee79bcbe71d47>.

It works for me, without the gui (just the command-line command mpv ). Maybe it will fulfill your needs.

I haven't yet tested gcc builds, 10.4 and 10.5, etc, etc.

Fixing the gui is obviously better. Just tedious.

comment:14 Changed 3 months ago by mrkapqa

Hello Kencu ,

thank you for your help. Can you please show me how to use this commit? I have no idea what to do with it.

comment:15 Changed 3 months ago by kencu (Ken)

Hi. The PR has been in the queue for a while now. I'll go ahead and push it through, and we can improve it later on if need be. I don't think Ionic will mind as he is unable to help at present.

comment:16 Changed 3 months ago by kencu (Ken)

In b164244a0c8920f1e171d61cbb5a071767205b3b/macports-ports (master):

mpv: fix build on SnowLeopard

most previous patches appear no longer needed
current app bundle version does not handle -psn_* so disable for now
this may be able to be tweaked in future to re-enable bundle

see: #57663
will close noted ticket if buildbots indicate success

comment:17 Changed 3 months ago by kencu (Ken)

I pushed it. It takes a while to propogate through. After a bit, sync or update your ports and you'll get this version. Feedback, or even better help fixing any issues, would be appreciated.

comment:18 in reply to:  10 Changed 3 months ago by ryandesign (Ryan Schmidt)

Replying to mrkapqa:

I have installed Xcode 3.2.6 and ve seen there is an Xcode 4 also available for Snow Leopard on the Developer Downloads Page. Does this make a difference or is it better to stick with with the 3.2.6?

Xcode 3.2.6 is the version we recommend using on Snow Leopard. Xcode 4 for Snow Leopard was not free, so fewer developers have tested with it.

comment:19 Changed 3 months ago by kencu (Ken)

The buildbots failed to build mpv, but I'm quite puzzled at this moment why the build failed on the buildbot. <https://build.macports.org/builders/ports-10.6_x86_64_legacy-builder/builds/89611/steps/install-port/logs/stdio>. I just built it perfectly without issue again on my system.

$ port -v installed mpv
The following ports are currently installed:
  mpv @0.29.1_2+audiocd+dvd+libarchive+network+opengl+osd+python27+rubberband+x11 (active) platform='darwin 10' archs='x86_64' date='2018-12-16T13:25:41-0500'

The error that ends the build is this:

Checking for C plugins                                            : libdl not found 
You manually enabled the feature 'cplugins', but the autodetection check failed.

The test for this seems to be in wscript:

   }, {
        'name': 'libdl',
        'desc': 'dynamic loader',
        'func': check_libs(['dl'], check_statement('dlfcn.h', 'dlopen("", 0)'))
    }, {
        'name': '--cplugins',
        'desc': 'C plugins',
        'deps': 'libdl && !os-win32',
        'func': check_cc(linkflags=['-rdynamic']),
    }, {

Every Mac system has /usr/lib/libdl.dylib, which is notably a symlink to libSystem.dylib.

Last edited 3 months ago by kencu (Ken) (previous) (diff)

comment:20 Changed 3 months ago by kencu (Ken)

It might be this 53150. Some systems with an old ld64 could be erroring out on -rdynamic. Mine is not doing that...but I have ld64_latest active.

comment:21 Changed 3 months ago by kencu (Ken)

I see what you mean, though -- mpv does a really good job of playing videos from youtube and CNN. I couldn't get some sites to work -- they use the Akamai player -- but it's useful.

Turns out you just need the command line mpv to make all this work, so the lack of a GUI version doesn't affect the success of this.

I have not yet get the Firefox extension to work automatically -- I can so far only copy the URL from the website, and use mpv to view it.

comment:22 Changed 3 months ago by mrkapqa

The firefox extension is not compatible with Firefox Quantum, use it one most my computer with Firefox 45 ESR (on SnowLeopard and Lion) and Firefox 52 ESR (with Mavericks). Mozilla Corp made not a nice move when removing legacy add-ons altogether from their webpage. It is very quick in loading once the mpv has been located correctly; together with Sizeup (to move windows between monitor) found it a very good combination that lets MacOS keep up with Linux experience. Hope the mpv can be fixed for SnowLeopard , though, as i have not yet correctly figured out on how to "downgrade" to mpv0.22 with macports.

Last edited 3 months ago by mrkapqa (previous) (diff)

comment:23 Changed 3 months ago by kencu (Ken)

You should be able to build mpv 0.29.1_2 now on SnowLeopard from the main MacPorts repo with no fancy business. Give it a try.

$ port -v installed mpv
The following ports are currently installed:
  mpv @0.29.1_2+audiocd+dvd+libarchive+network+opengl+osd+python27+rubberband+x11 (active) platform='darwin 10' archs='x86_64' date='2018-12-16T13:25:41-0500'

Changed 8 weeks ago by mrkapqa

Attachment: LOG.LOG added

comment:24 Changed 8 weeks ago by mrkapqa

Hello , i upgraded gear to Core2Duo CPU, but install still fails.

Please see attached log.

:info:configure Checking for C plugins : libdl not found :info:configure You manually enabled the feature 'cplugins', but the autodetection check failed.

comment:25 Changed 8 weeks ago by kencu (Ken)

Do you have /usr/lib/libdl.dylib? I presume you should have it, every system does I think.

If you do, the configure is failing on something else.

I have mpv running on every system here from 10.4 PPC up to Mojave. It runs great. So -- it's something going on on your system that we can sort out.

Last edited 8 weeks ago by kencu (Ken) (previous) (diff)

comment:26 Changed 8 weeks ago by mrkapqa

Yes, it is present.

The system is fresh install 10.6.8 with Xcode 3.2.6 /no prior macports history. First try was with sudo port install mpv which ran through (also gnutls) until mpv "configure".

comment:27 Changed 8 weeks ago by kencu (Ken)

please give me the result of:

port -v installed | grep ld64

comment:28 Changed 8 weeks ago by kencu (Ken)

You're still getting this. I don't get that error. I think it might be because of a too-old linker. Maybe :>

comment:29 Changed 8 weeks ago by kencu (Ken)

In ./build/config.log:

Checking for dynamic loader
==>
#include <dlfcn.h>
int main(int argc, char **argv)
{ dlopen("", 0); return 0; }
<==
[1/2] Compiling build/.conf_check_2467306bb4c40273d33afb00f51310ee/test.c

['/usr/bin/gcc-4.2', '-pipe', '-Os', '-I/opt/local/include/LegacySupport', '-I/opt/local/include/LegacySupport', '-arch', 'x86_64', '-D_ISOC99_SOURCE', '-D_GNU_SOURCE', '-D_LARGEFILE_SOURCE', '-D_FILE_OFFSET_BITS=64', '-D_LARGEFILE64_SOURCE', '-std=c99', '-Wall', '-O2', '-Werror=implicit-function-declaration', '-Wno-error=deprecated-declarations', '-Wno-error=unused-function', '-Wempty-body', '-Wdisabled-optimization', '-Wstrict-prototypes', '-Wno-format-zero-length', '-Werror=format-security', '-Wno-redundant-decls', '-Wall', '-Wundef', '-Wmissing-prototypes', '-Wshadow', '-Wno-switch', '-Wparentheses', '-Wpointer-arith', '-Wno-pointer-sign', '-Wno-unused-result', '-DDEFAULT_DVD_DEVICE="/dev/rdiskN"', '-DDEFAULT_CDROM_DEVICE="/dev/disk1"', '-DHAVE_GPL=1', '-DHAVE_LIBAF=1', '-DHAVE_CPLAYER=1', '-DHAVE_BUILD_DATE=1', '-DHAVE_OPTIMIZE=1', '../test.c', '-c', '-o/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_macports_release_tarballs_ports_multimedia_mpv/mpv/work/mpv-0.29.1/build/.conf_check_2467306bb4c40273d33afb00f51310ee/testbuild/test.c.1.o', '-isystem/opt/local/include', '-I/opt/local/include/LegacySupport', '-I/opt/local/include/LegacySupport']
err: cc1: error: unrecognized command line option "-Wno-unused-result"

comment:30 Changed 8 weeks ago by kencu (Ken)

OK. In my fixup to mpv, I disabled most of the old patchfiles. One of them needs to be put back, to build mpv with the older gcc-4.2. I'll replace that and it should fix the build for you now.

We might come across another patch or two we still need to reinstate as people explore the variants, so I've left the patchfiles in place in the files dir for now.

comment:31 Changed 8 weeks ago by Ken <21211439+kencu@…>

Resolution: fixed
Status: assignedclosed

In c880625a26df203ebf6394236a983251d45f841c/macports-ports (master):

mpv: reinstate patch to support older gcc versions

"-Wno-unused-result" is not recognized by older gccs
closes: #57663

comment:32 Changed 7 weeks ago by mrkapqa

Mac-mini-di-rich-2:~ rich$ port -v installed | grep ld64

ld64 @3_1+ld64_127 (active) platform='darwin 10' archs='x86_64' date='2019-01-25T14:19:17+0100' ld64-127 @127.2_14+llvm34 (active) platform='darwin 10' archs='x86_64' date='2019-01-25T14:19:13+0100'

Changed 7 weeks ago by mrkapqa

Attachment: yosemite.log added

comment:33 Changed 7 weeks ago by mrkapqa

It would fail also on a newly installed Yosemite 10.10

I am used since Mavericks to install only Command Line Tools , then macports.pkg and thereafter mpv by evoking

"sudo xcodebuild -install" first for command line tools and after macports.pkg go straight to "sudo port install mpv"

it seems that this trick is no longer working and i might need full XCode for building mpv on Yosemite?

Sorry for cross-posting here again;

Please see .log

comment:34 Changed 7 weeks ago by Ionic (Mihai Moldovan)

MacPorts always needs the full Xcode toolchain to work correctly (unless you avoid all ports that might touch Xcode features, including SDKs).

There are ideas and plans to drop this requirement and replace it with CLTs only, because Xcode is huge, but AFAIK nothing substantial came up so far.

comment:35 Changed 7 weeks ago by kencu (Ken)

Yes -- I'm slowly working my way up the chain ;> Unless ionic is ready to take over again, as this is his port... I know he was a bit miffed when it was updated without his involvement, so I've been trying to help out.

comment:36 Changed 7 weeks ago by kencu (Ken)

so on my systems, mpv is building with default variants on 10.6, 10.7, 10.8, and 10.9 so far. Fixes committed.

On the packages server already is 10.11, 10.12, 10.13, and 10.14.

Working on the rest.

comment:37 Changed 7 weeks ago by mrkapqa

Thank you, i downgraded to Mavericks and the "sudo xcodebuild -install" was sufficient there for later building mpv through macports :)

Unfortunately, there must have been some changes in youtube-dl , as the mpv-youtube-dl-binding extension for firefox 45-52 does no longer pickup the correct adress to start playback on ytube via right-click, but this can be achieved by dragging url into mpv in the dock. Nothing dramatical, but i like ad-free playback with a click. on firefox there is also the viewtube extension available by sebaro.

Last edited 7 weeks ago by mrkapqa (previous) (diff)

comment:38 Changed 7 weeks ago by mrkapqa

Hello ,

thank you , it now builds again on Snow Leopard, however, the videos would not play.

It seems that the backend X11 is not functioning properly in this configuration or something else is missing

The videos simply would not play; mp3 play fine.

çC snowleopardmp2:Desktop rich$ mpv --opengl-backend=x11 The\ Bulgarian\ Voices\ Angelite\ -\ Kalimanko\ Denko.webm Warning: option --opengl-backend was replaced with --gpu-context and might be removed in the future. Playing: The Bulgarian Voices Angelite - Kalimanko Denko.webm

(+) Video --vid=1 (*) (vp9 1920x1080 25.000fps) (+) Audio --aid=1 --alang=eng (*) (opus 2ch 48000Hz)

ççC snowleopardmp2:Desktop rich$ port installed mpv The following ports are currently installed:

mpv @0.29.1_2+audiocd+bundle+dvd+libarchive+network+opengl+osd+python27+rubberband+x11 (active) mpv @0.29.1_2+audiocd+dvd+libarchive+network+opengl+osd+python27+rubberband+x11

comment:39 Changed 7 weeks ago by kencu (Ken)

wel...that's a bit different. mpv builds and rus on 10.5 to 10.14.

but playing a specific file on specific hardware may not, or may need tweaking for your setup.

try some other videos. Is it only an issue with webm? or vp9 webm? Or are all videos not working?

Does MPlayer play it?

I think this would be better hashed out on the macports-users mailing lisr now...you'll get a broader audience there..

comment:40 Changed 7 weeks ago by mrkapqa

Thanks for your help; it would not play mp4, too.

I would not give any error, just stall at terminal seemingly playing but window does not come up. maybe the newer version is no more operative with --opengl-backend. On Mavericks no such problem. Will try Mplayer.

comment:41 Changed 7 weeks ago by kencu (Ken)

one more trick that sometimes help sort out what is wrong -- try opening X11.app (I hope you are using MacPorts' version of xorg-server or xorg-server-devel rather than any other versions).

The open a terminal from the X11 menu.

Then try running your mpv command from that X11 xterm window. If that works, we have a clue at least.

comment:42 Changed 7 weeks ago by kencu (Ken)

This one in vp8 works for me, plays nicely on 10.6.8 with excellent video quality:

$ mpv http://dl3.webmfiles.org/elephants-dream.webm
Driver 'opengl' has been replaced with 'gpu'!
Warning: option --opengl-backend was replaced with --gpu-context and might be removed in the future.
Driver 'opengl' has been replaced with 'gpu'!
Playing: http://dl3.webmfiles.org/elephants-dream.webm
 (+) Video --vid=1 (*) (vp8 540x360 23.976fps)
 (+) Audio --aid=1 --alang=eng (*) (vorbis 1ch 44100Hz)
[vo/opengl] Disabling scaler #0 spline36 (GLSL version too old).
[vo/opengl] Disabling scaler #1 mitchell (GLSL version too old).
[vo/opengl] Disabling scaler #2 spline36 (GLSL version too old).
[vo/opengl] Disabling scaler #3 mitchell (GLSL version too old).
[vo/opengl] Disabling linear/sigmoid scaling (GLSL version too old).
[vo/opengl] Disabling debanding (GLSL version too old).
[mkv] This is a broken file! Packets with incorrect keyframe flag found. Enabling workaround.
AO: [coreaudio] 44100Hz mono 1ch float
VO: [gpu] 540x360 yuv420p
AV: 00:00:29 / 00:01:57 (25%) A-V:  0.001 Cache: 87s+9MB

and so does this one in vp9:

$ mpv https://base-n.de/webm/out9.webm
Driver 'opengl' has been replaced with 'gpu'!
Warning: option --opengl-backend was replaced with --gpu-context and might be removed in the future.
Driver 'opengl' has been replaced with 'gpu'!
Playing: https://base-n.de/webm/out9.webm
 (+) Video --vid=1 (*) (vp9 512x288)
[vo/opengl] Disabling scaler #0 spline36 (GLSL version too old).
[vo/opengl] Disabling scaler #1 mitchell (GLSL version too old).
[vo/opengl] Disabling scaler #2 spline36 (GLSL version too old).
[vo/opengl] Disabling scaler #3 mitchell (GLSL version too old).
[vo/opengl] Disabling linear/sigmoid scaling (GLSL version too old).
[vo/opengl] Disabling debanding (GLSL version too old).
VO: [gpu] 512x288 yuv420p
V: 00:00:09 / 00:00:09 (99%) Cache:  0s

I don't seem to have any special things setup in my config -- I don't have an mpv config file, it seems. It just works.

comment:43 Changed 7 weeks ago by mrkapqa

Thank you , i will test that. Could it be that the new version does not work on an older MP1.1/2.1 due to Core 2 and/or SSE4 optimizations? The Core CPU is quite old. Another thing i noticed is that XQuartz is always crashing; the newer versions state compatibility with 10.6.3 upwards but the latest versions seem unstable; will try an older version.

EDIT: it works from X11 Terminal as suggested, just not from regular terminal. Mplayer is also active, super! I suspect that the crashing XQuartz is the culprit here. will have to look and find a proper version that is running on SL. Those newer don't on my system.

comment:44 Changed 7 weeks ago by mrkapqa

Thank you so much Kencu, with XQuartz 2.6.3 for Snow Leopard it functions as i was used to! Wish you a good weekend, all the Best.

comment:45 Changed 7 weeks ago by Ionic (Mihai Moldovan)

I was miffed, but then again I haven't had time to work on this anyway. I've been having hardware issues on different fronts for the whole year, had to debug faulty firmware on one box and modify a bootloader or saw an SSD failing (lightly) on my nowadays main machine.

Anywho, my initial idea was to provide full OS X 10.6+ support, including the Cocoa interface - which is why I created the huge patch set to begin with. Unfortunately I was never able to actually test that, because my 10.6 VM has no OpenGL HW acceleration support and mpv didn't create a window for some reason - although that does work via the X11 interface, which in such a case uses a software renderer. Not sure whether the Quartz framework doesn't provide a software renderer or it's just not trivially usable. Given that the OS X interface itself worked and AFAIK is using OpenGL features, so there must be some software rendering support. It never worked for me, though, not sure if even through X11.

A lot of stuff changed in the mean time, though. For instance, I've changed my 10.6 VM to libc++ only recently, if I remember correctly. Upstream only supports recent OS X versions and starts using new features without a fallback, which makes patches bigger and bigger over time.

In general, I guess the X11 backend is the only viable option for older systems. Stuff like HW acceleration is dead anyway. I guess most of the changes are good, but the initial update didn't at all care for older systems.

comment:46 Changed 6 weeks ago by kencu (Ken)

The right X11 server to use on SnowLeopard is MacPorts' --- get rid of all others from everywhere, and install xorg-server or xorg-server-devel -- both are great, but I use xorg-server-devel as -- why not?

Ionic -- I find mpv works just fine with the X11 backend. Everyone will be happy enough. It's certainly good enough for my needs. IMHO +quartz and +cocoa are a lost cause on older systems due to the SDK changes you mention -- but x11 is forever.

I hacked mpv to run on 10.4 PPC but that's a bit too hacky for me to post up, I think. I'll stick it in my TigerPorts repo maybe. Anyways MPlayer works super good there. -- K

Last edited 6 weeks ago by kencu (Ken) (previous) (diff)
Note: See TracTickets for help on using tickets.